.coveragepanel {
  min-height: 100%;
}
.coveragepanel .container {
  height: 100%;
}
.coveragepanel .container .title {
  padding-top: 13.7vh;
  text-align: center;
  line-height: 1.2;
  margin-bottom: 2.5rem;
  font-size: 5.8rem;
  background-color: #fff;
}
/* 2026-08-16 副标题 */
.coveragepanel .container .subtitle {
  text-align: center;
  line-height: 1.4;
  margin: auto;
  max-width: 60%;
  font-size: 2.5rem;
  color: #5D6C72;
  background-color: #fff;
}
.coveragepanel .container .btn-container {
  text-align: center;
}
.coveragepanel .container .btn-container .btn {
  margin: auto;
  font-size: 2rem;
  border: 1px solid var(--color);
  color: var(--color);
  font-weight: 500;
  display: block;
  width: fit-content;
}
.coveragepanel .container .location-container {
  min-height: 50vh;
  padding-left: var(--distance);
  padding-right: var(--distance);
  padding-top: 10rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 32px;
  row-gap: 88px;
}
.coveragepanel .container .location-container .location {
  flex: 1;
  padding: 2px;
  border-radius: var(--radius);
  box-sizing: border-box;
  transition: background-color 0.7s;
}
.coveragepanel .container .location-container .location .media {
  width: 100%;
  aspect-ratio: 1/1;
  overflow: hidden;
  border-radius: calc(var(--radius) - 2px);
}
.coveragepanel .container .location-container .location .media img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.02);
}
.coveragepanel .container .location-container .location .info {
  padding: 2.8vh 32px;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: transform 0.7s;
  transform: translateX(-32px);
}
.coveragepanel .container .location-container .location .info .label {
  font-size: 3.95vh;
}
.coveragepanel .container .location-container .location .info .btn {
  display: block;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color);
  flex-shrink: 0;
  padding: 0 0 0 0;
  transition: opacity 0.7s;
  opacity: 0;
}
.coveragepanel .container .location-container .location:hover {
  background-color: #A3CBFF;
}
.coveragepanel .container .location-container .location:hover .info {
  transform: translateX(0px);
}
.coveragepanel .container .location-container .location:hover .info .btn {
  opacity: 1;
}
body:not(.wp-admin) .coveragepanel .wow {
  opacity: 0;
  transform: translateY(40px);
  transition: all 1s ease-in-out !important;
}
body:not(.wp-admin) .coveragepanel .wow.animated {
  opacity: 1;
  transform: translateY(0);
}
@media all and (max-width: 1281px) {
  .coveragepanel {
    padding-top: 0vh;
  }
  .coveragepanel .container {
    padding-top: 14.7vh;
    line-height: 1.33;
  }
  .coveragepanel .container .title {
    padding-top: 0;
    font-size: var(--h1);
  }
  .coveragepanel .container .subtitle {
    margin: 0 auto 3vh;
    max-width: 90%;
    font-size: var(--t4);
  }
  .coveragepanel .container .btn-container .btn {
    font-size: var(--btn);
    padding: 0.7rem 3.2rem;
  }
  .coveragepanel .container .location-container {
    padding-top: 9.6vh;
    grid-template-columns: repeat(2, 1fr);
    gap: 14px;
    row-gap: 32px;
  }
  .coveragepanel .container .location-container .location .info {
    padding: 1.5vh 32px;
  }
  .coveragepanel .container .location-container .location .info .label {
    font-size: 3rem;
  }
}
@media all and (max-width: 500px) {
  .coveragepanel {
    padding-top: 0vh;
  }
  .coveragepanel .container {
    padding-top: 14.7vh;
    line-height: 1.33;
  }
  .coveragepanel .container .title {
    padding-top: 0;
    font-size: 2.4rem;
  }
  .coveragepanel .container .btn-container .btn {
    font-size: 1.4rem;
    padding: 0.9rem 3.2rem;
  }
  .coveragepanel .container .location-container {
    padding-top: 9.6vh;
    grid-template-columns: repeat(2, 1fr);
    gap: 14px;
    row-gap: 32px;
  }
  .coveragepanel .container .location-container .location .info {
    padding: 0 0 0 0;
    transform: translateX(0);
  }
  .coveragepanel .container .location-container .location .info .label {
    font-size: 1.8rem;
    transform: none;
  }
}
